/*
  This file is part of SLD.
  Copyright (C) 2008 Sebastien LUTTRINGER <contact@seblu.net>

  SLD is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; version 2 of the License.

  SLD is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with SLD; if not, write to the Free Software
  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

#ifndef SLD_HH
# define SLD_HH

# include "sll/slm.hh"
# include "sll/error.hh"

# include "log.hh"
# include "options.hh"
# include "daemon.hh"


// -----------------------------------------------------------------------------
// Gonstant
// -----------------------------------------------------------------------------

static const int MAX_CONF_LINE_SIZE = 2048;
static const string RCV_DATA = "<< ";
static const string SND_DATA = ">> ";

string getbinpath();

void sigchild(int);
void sigint(int);

bool cp(const char *src, const char *dst);

#endif
